package it.politecnico.model.refrisoprop;

import java.io.Serializable;

public class RefrIsoproperties implements Serializable {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column MD_REFR_ISOPROPERTIES.REFRIGERANT_ID
     *
     * @mbggenerated
     */
    private String refrigerantId;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column MD_REFR_ISOPROPERTIES.Temperature
     *
     * @mbggenerated
     */
    private Double temperature;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column MD_REFR_ISOPROPERTIES.Pressure
     *
     * @mbggenerated
     */
    private Double pressure;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column MD_REFR_ISOPROPERTIES.Density
     *
     * @mbggenerated
     */
    private Double density;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column MD_REFR_ISOPROPERTIES.Enthalpy
     *
     * @mbggenerated
     */
    private Double enthalpy;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column MD_REFR_ISOPROPERTIES.Entropy
     *
     * @mbggenerated
     */
    private Double entropy;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    private static final long serialVersionUID = 1L;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column MD_REFR_ISOPROPERTIES.REFRIGERANT_ID
     *
     * @return the value of MD_REFR_ISOPROPERTIES.REFRIGERANT_ID
     *
     * @mbggenerated
     */
    public String getRefrigerantId() {
        return refrigerantId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column MD_REFR_ISOPROPERTIES.REFRIGERANT_ID
     *
     * @param refrigerantId the value for MD_REFR_ISOPROPERTIES.REFRIGERANT_ID
     *
     * @mbggenerated
     */
    public void setRefrigerantId(String refrigerantId) {
        this.refrigerantId = refrigerantId == null ? null : refrigerantId.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column MD_REFR_ISOPROPERTIES.Temperature
     *
     * @return the value of MD_REFR_ISOPROPERTIES.Temperature
     *
     * @mbggenerated
     */
    public Double getTemperature() {
        return temperature;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column MD_REFR_ISOPROPERTIES.Temperature
     *
     * @param temperature the value for MD_REFR_ISOPROPERTIES.Temperature
     *
     * @mbggenerated
     */
    public void setTemperature(Double temperature) {
        this.temperature = temperature;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column MD_REFR_ISOPROPERTIES.Pressure
     *
     * @return the value of MD_REFR_ISOPROPERTIES.Pressure
     *
     * @mbggenerated
     */
    public Double getPressure() {
        return pressure;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column MD_REFR_ISOPROPERTIES.Pressure
     *
     * @param pressure the value for MD_REFR_ISOPROPERTIES.Pressure
     *
     * @mbggenerated
     */
    public void setPressure(Double pressure) {
        this.pressure = pressure;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column MD_REFR_ISOPROPERTIES.Density
     *
     * @return the value of MD_REFR_ISOPROPERTIES.Density
     *
     * @mbggenerated
     */
    public Double getDensity() {
        return density;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column MD_REFR_ISOPROPERTIES.Density
     *
     * @param density the value for MD_REFR_ISOPROPERTIES.Density
     *
     * @mbggenerated
     */
    public void setDensity(Double density) {
        this.density = density;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column MD_REFR_ISOPROPERTIES.Enthalpy
     *
     * @return the value of MD_REFR_ISOPROPERTIES.Enthalpy
     *
     * @mbggenerated
     */
    public Double getEnthalpy() {
        return enthalpy;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column MD_REFR_ISOPROPERTIES.Enthalpy
     *
     * @param enthalpy the value for MD_REFR_ISOPROPERTIES.Enthalpy
     *
     * @mbggenerated
     */
    public void setEnthalpy(Double enthalpy) {
        this.enthalpy = enthalpy;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column MD_REFR_ISOPROPERTIES.Entropy
     *
     * @return the value of MD_REFR_ISOPROPERTIES.Entropy
     *
     * @mbggenerated
     */
    public Double getEntropy() {
        return entropy;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column MD_REFR_ISOPROPERTIES.Entropy
     *
     * @param entropy the value for MD_REFR_ISOPROPERTIES.Entropy
     *
     * @mbggenerated
     */
    public void setEntropy(Double entropy) {
        this.entropy = entropy;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", refrigerantId=").append(refrigerantId);
        sb.append(", temperature=").append(temperature);
        sb.append(", pressure=").append(pressure);
        sb.append(", density=").append(density);
        sb.append(", enthalpy=").append(enthalpy);
        sb.append(", entropy=").append(entropy);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}